Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.provider.jaxb
Class AbstractListElementProvider

    java.lang.Object
      com.sun.jersey.core.provider.AbstractMessageReaderWriterProvider<T>
          com.sun.jersey.core.provider.jaxb.AbstractJAXBProvider<java.util.Collection<?>>
              com.sun.jersey.core.provider.jaxb.AbstractListElementProvider

All Implemented Interfaces:
  javax.ws.rs.ext.MessageBodyReader<java.util.Collection<?>>, javax.ws.rs.ext.MessageBodyWriter<java.util.Collection<?>>

    public abstract class AbstractListElementProvider

extends AbstractJAXBProvider<java.util.Collection<?>>

Author:
  Paul.Sandoz@Sun.Com

Field Summary

Fields inherited from class com.sun.jersey.core.provider.AbstractMessageReaderWriterProvider
`UTF8`

Constructor Summary
`AbstractListElementProvider(javax.ws.rs.ext.Providers ps)`
`AbstractListElementProvider(javax.ws.rs.ext.Providers ps, javax.ws.rs.core.MediaType mt)`

Method Summary
`protected java.lang.Class` | `getElementClass(java.lang.Class<?> type, java.lang.reflect.Type genericType)`
`protected java.lang.String` | `getRootElementName(java.lang.Class<?> elementType)`
`protected abstract javax.xml.stream.XMLStreamReader` | `getXMLStreamReader(javax.ws.rs.core.MediaType mediaType, java.io.InputStream entityStream)` Get the XMLStreamReader for unmarshalling.
`boolean` | `isReadable(java.lang.Class<?> type, java.lang.reflect.Type genericType, java.lang.annotation.Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
`boolean` | `isWriteable(java.lang.Class<?> type, java.lang.reflect.Type genericType, java.lang.annotation.Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
`java.util.List<?>` | `readFrom(java.lang.Class<java.util.Collection<?>> type, java.lang.reflect.Type genericType, java.lang.annotation.Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.String> httpHeaders, java.io.InputStream entityStream)`
`abstract void` | `writeList(java.lang.Class<?> elementType, java.util.Collection<?> t, javax.ws.rs.core.MediaType mediaType, java.nio.charset.Charset c, javax.xml.bind.Marshaller m, java.io.OutputStream entityStream)` Write a collection of JAXB objects as child elements of the root element.
`void` | `writeTo(java.util.Collection<?> t, java.lang.Class<?> type, java.lang.reflect.Type genericType, java.lang.annotation.Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.Object> httpHeaders, java.io.OutputStream entityStream)`

Methods inherited from class com.sun.jersey.core.provider.jaxb.AbstractJAXBProvider
`getMarshaller, getMarshaller, getStoredJAXBContext, getUnmarshaller, getUnmarshaller, isSupported`

Methods inherited from class com.sun.jersey.core.provider.AbstractMessageReaderWriterProvider
`getCharset, getSize, readFromAsString, writeTo, writeTo, writeToAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractListElementProvider

    public AbstractListElementProvider(javax.ws.rs.ext.Providers ps)

### AbstractListElementProvider

    public AbstractListElementProvider(javax.ws.rs.ext.Providers ps,
                                       javax.ws.rs.core.MediaType mt)

Method Detail

### isReadable

    public boolean isReadable(java.lang.Class<?> type,
                              java.lang.reflect.Type genericType,
                              java.lang.annotation.Annotation[] annotations,
                              javax.ws.rs.core.MediaType mediaType)

### isWriteable

    public boolean isWriteable(java.lang.Class<?> type,
                               java.lang.reflect.Type genericType,
                               java.lang.annotation.Annotation[] annotations,
                               javax.ws.rs.core.MediaType mediaType)

### writeTo

    public final void writeTo(java.util.Collection<?> t,
                              java.lang.Class<?> type,
                              java.lang.reflect.Type genericType,
                              java.lang.annotation.Annotation[] annotations,
                              javax.ws.rs.core.MediaType mediaType,
                              javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.Object> httpHeaders,
                              java.io.OutputStream entityStream)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeList

    public abstract void writeList(java.lang.Class<?> elementType,
                                   java.util.Collection<?> t,
                                   javax.ws.rs.core.MediaType mediaType,
                                   java.nio.charset.Charset c,
                                   javax.xml.bind.Marshaller m,
                                   java.io.OutputStream entityStream)
                            throws javax.xml.bind.JAXBException,
                                   java.io.IOException

  Write a collection of JAXB objects as child elements of the root element.

  Parameters:
    `elementType` - the element type in the collection.
    `t` - the collecton to marshall
    `mediaType` - the media type
    `c` - the charset
    `m` - the marshaller
    `entityStream` - the output stream to marshall the collection
  Throws:
    `javax.xml.bind.JAXBException`
    `java.io.IOException`

### readFrom

    public final java.util.List<?> readFrom(java.lang.Class<java.util.Collection<?>> type,
                                            java.lang.reflect.Type genericType,
                                            java.lang.annotation.Annotation[] annotations,
                                            javax.ws.rs.core.MediaType mediaType,
                                            javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.String> httpHeaders,
                                            java.io.InputStream entityStream)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getXMLStreamReader

    protected abstract javax.xml.stream.XMLStreamReader getXMLStreamReader(javax.ws.rs.core.MediaType mediaType,
                                                                           java.io.InputStream entityStream)
                                                                    throws javax.xml.stream.XMLStreamException

  Get the XMLStreamReader for unmarshalling.

  Parameters:
    `mediaType` - the media type.
    `entityStream` - the input stream.
  Returns:
    the XMLStreamReader.
  Throws:
    `javax.xml.stream.XMLStreamException`

### getElementClass

    protected java.lang.Class getElementClass(java.lang.Class<?> type,
                                              java.lang.reflect.Type genericType)

### getRootElementName

    protected final java.lang.String getRootElementName(java.lang.Class<?> elementType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.